package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

// 定义一个CdPlanExample类，继承自BaseMybatisExample类
public class CdPlanExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria变量
    public CdPlanExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause变量的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause变量的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct变量的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct变量的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria变量的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空oredCriteria变量和orderByClause变量以及distinct变量的值
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个GeneratedCriteria内部类，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria变量
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断是否有查询条件
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有的查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否为空
        public Criteria andPlanNameIsNull() {
            addCriterion("PLAN_NAME is null");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否不为空
        public Criteria andPlanNameIsNotNull() {
            addCriterion("PLAN_NAME is not null");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否等于某个值
        public Criteria andPlanNameEqualTo(String value) {
            addCriterion("PLAN_NAME =", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否不等于某个值
        public Criteria andPlanNameNotEqualTo(String value) {
            addCriterion("PLAN_NAME <>", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否大于某个值
        public Criteria andPlanNameGreaterThan(String value) {
            addCriterion("PLAN_NAME >", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否大于等于某个值
        public Criteria andPlanNameGreaterThanOrEqualTo(String value) {
            addCriterion("PLAN_NAME >=", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否小于某个值
        public Criteria andPlanNameLessThan(String value) {
            addCriterion("PLAN_NAME <", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否小于等于某个值
        public Criteria andPlanNameLessThanOrEqualTo(String value) {
            addCriterion("PLAN_NAME <=", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否包含某个值
        public Criteria andPlanNameLike(String value) {
            addCriterion("PLAN_NAME like", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否不包含某个值
        public Criteria andPlanNameNotLike(String value) {
            addCriterion("PLAN_NAME not like", value, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否在某个范围内
        public Criteria andPlanNameIn(List<String> values) {
            addCriterion("PLAN_NAME in", values, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否不在某个范围内
        public Criteria andPlanNameNotIn(List<String> values) {
            addCriterion("PLAN_NAME not in", values, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否在某个范围内
        public Criteria andPlanNameBetween(String value1, String value2) {
            addCriterion("PLAN_NAME between", value1, value2, "planName");
            return (Criteria) this;
        }

        // 判断PLAN_NAME是否不在某个范围内
        public Criteria andPlanNameNotBetween(String value1, String value2) {
            addCriterion("PLAN_NAME not between", value1, value2, "planName");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否为空
        public Criteria andCreateUserIsNull() {
            addCriterion("CREATE_USER is null");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否不为空
        public Criteria andCreateUserIsNotNull() {
            addCriterion("CREATE_USER is not null");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否等于某个值
        public Criteria andCreateUserEqualTo(String value) {
            addCriterion("CREATE_USER =", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否不等于某个值
        public Criteria andCreateUserNotEqualTo(String value) {
            addCriterion("CREATE_USER <>", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否大于某个值
        public Criteria andCreateUserGreaterThan(String value) {
            addCriterion("CREATE_USER >", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否大于等于某个值
        public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_USER >=", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否小于某个值
        public Criteria andCreateUserLessThan(String value) {
            addCriterion("CREATE_USER <", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否小于等于某个值
        public Criteria andCreateUserLessThanOrEqualTo(String value) {
            addCriterion("CREATE_USER <=", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否包含某个值
        public Criteria andCreateUserLike(String value) {
            addCriterion("CREATE_USER like", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否不包含某个值
        public Criteria andCreateUserNotLike(String value) {
            addCriterion("CREATE_USER not like", value, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否在某个范围内
        public Criteria andCreateUserIn(List<String> values) {
            addCriterion("CREATE_USER in", values, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否不在某个范围内
        public Criteria andCreateUserNotIn(List<String> values) {
            addCriterion("CREATE_USER not in", values, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否在某个范围内
        public Criteria andCreateUserBetween(String value1, String value2) {
            addCriterion("CREATE_USER between", value1, value2, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_USER是否不在某个范围内
        public Criteria andCreateUserNotBetween(String value1, String value2) {
            addCriterion("CREATE_USER not between", value1, value2, "createUser");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否为空
        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否不为空
        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否等于某个值
        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否不等于某个值
        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否大于某个值
        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否大于等于某个值
        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否小于某个值
        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否小于等于某个值
        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否在某个范围内
        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否不在某个范围内
        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否在某个范围内
        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        // 判断CREATE_TIME是否不在某个范围内
        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否为空
        public Criteria andDeliveryTypeIsNull() {
            addCriterion("DELIVERY_TYPE is null");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否不为空
        public Criteria andDeliveryTypeIsNotNull() {
            addCriterion("DELIVERY_TYPE is not null");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否等于某个值
        public Criteria andDeliveryTypeEqualTo(Integer value) {
            addCriterion("DELIVERY_TYPE =", value, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否不等于某个值
        public Criteria andDeliveryTypeNotEqualTo(Integer value) {
            addCriterion("DELIVERY_TYPE <>", value, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否大于某个值
        public Criteria andDeliveryTypeGreaterThan(Integer value) {
            addCriterion("DELIVERY_TYPE >", value, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否大于等于某个值
        public Criteria andDeliveryTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("DELIVERY_TYPE >=", value, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否小于某个值
        public Criteria andDeliveryTypeLessThan(Integer value) {
            addCriterion("DELIVERY_TYPE <", value, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否小于等于某个值
        public Criteria andDeliveryTypeLessThanOrEqualTo(Integer value) {
            addCriterion("DELIVERY_TYPE <=", value, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否在某个范围内
        public Criteria andDeliveryTypeIn(List<Integer> values) {
            addCriterion("DELIVERY_TYPE in", values, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否不在某个范围内
        public Criteria andDeliveryTypeNotIn(List<Integer> values) {
            addCriterion("DELIVERY_TYPE not in", values, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否在某个范围内
        public Criteria andDeliveryTypeBetween(Integer value1, Integer value2) {
            addCriterion("DELIVERY_TYPE between", value1, value2, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TYPE是否不在某个范围内
        public Criteria andDeliveryTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("DELIVERY_TYPE not between", value1, value2, "deliveryType");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否为空
        public Criteria andDeliveryTimeIsNull() {
            addCriterion("DELIVERY_TIME is null");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否不为空
        public Criteria andDeliveryTimeIsNotNull() {
            addCriterion("DELIVERY_TIME is not null");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否等于某个值
        public Criteria andDeliveryTimeEqualTo(String value) {
            addCriterion("DELIVERY_TIME =", value, "deliveryTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否不等于某个值
        public Criteria andDeliveryTimeNotEqualTo(String value) {
            addCriterion("DELIVERY_TIME <>", value, "deliveryTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否大于某个值
        public Criteria andDeliveryTimeGreaterThan(String value) {
            addCriterion("DELIVERY_TIME >", value, "deliveryTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否大于等于某个值
        public Criteria andDeliveryTimeGreaterThanOrEqualTo(String value) {
            addCriterion("DELIVERY_TIME >=", value, "deliveryTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否小于某个值
        public Criteria andDeliveryTimeLessThan(String value) {
            addCriterion("DELIVERY_TIME <", value, "deliveryTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否小于等于某个值
        public Criteria andDeliveryTimeLessThanOrEqualTo(String value) {
            addCriterion("DELIVERY_TIME <=", value, "deliveryTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否包含某个值
        public Criteria andDeliveryTimeLike(String value) {
            addCriterion("DELIVERY_TIME like", value, "deliveryTime");
            return (Criteria) this;
        }

        // 判断DELIVERY_TIME是否不包含某个值
        public Criteria andDeliveryTimeNotLike(String value) {
            addCriterion("DELIVERY_TIME not like", value, "deliveryTime");
            return (Criteria) this;
        }

        // 添加DELIVERY_TIME in条件
        public Criteria andDeliveryTimeIn(List<String> values) {
            addCriterion("DELIVERY_TIME in", values, "deliveryTime");
            return (Criteria) this;
        }

        // 添加DELIVERY_TIME not in条件
        public Criteria andDeliveryTimeNotIn(List<String> values) {
            addCriterion("DELIVERY_TIME not in", values, "deliveryTime");
            return (Criteria) this;
        }

        // 添加DELIVERY_TIME between条件
        public Criteria andDeliveryTimeBetween(String value1, String value2) {
            addCriterion("DELIVERY_TIME between", value1, value2, "deliveryTime");
            return (Criteria) this;
        }

        // 添加DELIVERY_TIME not between条件
        public Criteria andDeliveryTimeNotBetween(String value1, String value2) {
            addCriterion("DELIVERY_TIME not between", value1, value2, "deliveryTime");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT is null条件
        public Criteria andDeliverCountIsNull() {
            addCriterion("DELIVER_COUNT is null");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT is not null条件
        public Criteria andDeliverCountIsNotNull() {
            addCriterion("DELIVER_COUNT is not null");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT = value条件
        public Criteria andDeliverCountEqualTo(Integer value) {
            addCriterion("DELIVER_COUNT =", value, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT <> value条件
        public Criteria andDeliverCountNotEqualTo(Integer value) {
            addCriterion("DELIVER_COUNT <>", value, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT > value条件
        public Criteria andDeliverCountGreaterThan(Integer value) {
            addCriterion("DELIVER_COUNT >", value, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT >= value条件
        public Criteria andDeliverCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("DELIVER_COUNT >=", value, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT < value条件
        public Criteria andDeliverCountLessThan(Integer value) {
            addCriterion("DELIVER_COUNT <", value, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT <= value条件
        public Criteria andDeliverCountLessThanOrEqualTo(Integer value) {
            addCriterion("DELIVER_COUNT <=", value, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT in条件
        public Criteria andDeliverCountIn(List<Integer> values) {
            addCriterion("DELIVER_COUNT in", values, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT not in条件
        public Criteria andDeliverCountNotIn(List<Integer> values) {
            addCriterion("DELIVER_COUNT not in", values, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT between条件
        public Criteria andDeliverCountBetween(Integer value1, Integer value2) {
            addCriterion("DELIVER_COUNT between", value1, value2, "deliverCount");
            return (Criteria) this;
        }

        // 添加DELIVER_COUNT not between条件
        public Criteria andDeliverCountNotBetween(Integer value1, Integer value2) {
            addCriterion("DELIVER_COUNT not between", value1, value2, "deliverCount");
            return (Criteria) this;
        }

        // 添加PRICE is null条件
        public Criteria andPriceIsNull() {
            addCriterion("PRICE is null");
            return (Criteria) this;
        }

        // 添加PRICE is not null条件
        public Criteria andPriceIsNotNull() {
            addCriterion("PRICE is not null");
            return (Criteria) this;
        }

        // 添加PRICE = value条件
        public Criteria andPriceEqualTo(BigDecimal value) {
            addCriterion("PRICE =", value, "price");
            return (Criteria) this;
        }

        // 添加PRICE <> value条件
        public Criteria andPriceNotEqualTo(BigDecimal value) {
            addCriterion("PRICE <>", value, "price");
            return (Criteria) this;
        }

        // 添加PRICE > value条件
        public Criteria andPriceGreaterThan(BigDecimal value) {
            addCriterion("PRICE >", value, "price");
            return (Criteria) this;
        }

        // 添加PRICE >= value条件
        public Criteria andPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("PRICE >=", value, "price");
            return (Criteria) this;
        }

        // 添加PRICE < value条件
        public Criteria andPriceLessThan(BigDecimal value) {
            addCriterion("PRICE <", value, "price");
            return (Criteria) this;
        }

        // 添加PRICE <= value条件
        public Criteria andPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("PRICE <=", value, "price");
            return (Criteria) this;
        }

        // 添加PRICE in条件
        public Criteria andPriceIn(List<BigDecimal> values) {
            addCriterion("PRICE in", values, "price");
            return (Criteria) this;
        }

        // 添加PRICE not in条件
        public Criteria andPriceNotIn(List<BigDecimal> values) {
            addCriterion("PRICE not in", values, "price");
            return (Criteria) this;
        }

        // 添加PRICE between条件
        public Criteria andPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("PRICE between", value1, value2, "price");
            return (Criteria) this;
        }

        // 添加PRICE not between条件
        public Criteria andPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("PRICE not between", value1, value2, "price");
            return (Criteria) this;
        }

        // 添加IS_RANDOM is null条件
        public Criteria andIsRandomIsNull() {
            addCriterion("IS_RANDOM is null");
            return (Criteria) this;
        }

        // 添加IS_RANDOM is not null条件
        public Criteria andIsRandomIsNotNull() {
            addCriterion("IS_RANDOM is not null");
            return (Criteria) this;
        }

        // 添加IS_RANDOM = value条件
        public Criteria andIsRandomEqualTo(Integer value) {
            addCriterion("IS_RANDOM =", value, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM <> value条件
        public Criteria andIsRandomNotEqualTo(Integer value) {
            addCriterion("IS_RANDOM <>", value, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM > value条件
        public Criteria andIsRandomGreaterThan(Integer value) {
            addCriterion("IS_RANDOM >", value, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM >= value条件
        public Criteria andIsRandomGreaterThanOrEqualTo(Integer value) {
            addCriterion("IS_RANDOM >=", value, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM < value条件
        public Criteria andIsRandomLessThan(Integer value) {
            addCriterion("IS_RANDOM <", value, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM <= value条件
        public Criteria andIsRandomLessThanOrEqualTo(Integer value) {
            addCriterion("IS_RANDOM <=", value, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM in条件
        public Criteria andIsRandomIn(List<Integer> values) {
            addCriterion("IS_RANDOM in", values, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM not in条件
        public Criteria andIsRandomNotIn(List<Integer> values) {
            addCriterion("IS_RANDOM not in", values, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM between条件
        public Criteria andIsRandomBetween(Integer value1, Integer value2) {
            addCriterion("IS_RANDOM between", value1, value2, "isRandom");
            return (Criteria) this;
        }

        // 添加IS_RANDOM not between条件
        public Criteria andIsRandomNotBetween(Integer value1, Integer value2) {
            addCriterion("IS_RANDOM not between", value1, value2, "isRandom");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID is null条件
        public Criteria andCdCategoryIdIsNull() {
            addCriterion("CD_CATEGORY_ID is null");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID is not null条件
        public Criteria andCdCategoryIdIsNotNull() {
            addCriterion("CD_CATEGORY_ID is not null");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID = value条件
        public Criteria andCdCategoryIdEqualTo(Integer value) {
            addCriterion("CD_CATEGORY_ID =", value, "cdCategoryId");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID <> value条件
        public Criteria andCdCategoryIdNotEqualTo(Integer value) {
            addCriterion("CD_CATEGORY_ID <>", value, "cdCategoryId");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID > value条件
        public Criteria andCdCategoryIdGreaterThan(Integer value) {
            addCriterion("CD_CATEGORY_ID >", value, "cdCategoryId");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID >= value条件
        public Criteria andCdCategoryIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_CATEGORY_ID >=", value, "cdCategoryId");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID < value条件
        public Criteria andCdCategoryIdLessThan(Integer value) {
            addCriterion("CD_CATEGORY_ID <", value, "cdCategoryId");
            return (Criteria) this;
        }

        // 添加CD_CATEGORY_ID <= value条件
        public Criteria andCdCategoryIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_CATEGORY_ID <=", value, "cdCategoryId");
            return (Criteria) this;
        }

        public Criteria andCdCategoryIdIn(List<Integer> values) {
            // 添加CD_CATEGORY_ID in条件
            addCriterion("CD_CATEGORY_ID in", values, "cdCategoryId");
            return (Criteria) this;
        }

        public Criteria andCdCategoryIdNotIn(List<Integer> values) {
            // 添加CD_CATEGORY_ID not in条件
            addCriterion("CD_CATEGORY_ID not in", values, "cdCategoryId");
            return (Criteria) this;
        }

        public Criteria andCdCategoryIdBetween(Integer value1, Integer value2) {
            // 添加CD_CATEGORY_ID between条件
            addCriterion("CD_CATEGORY_ID between", value1, value2, "cdCategoryId");
            return (Criteria) this;
        }

        public Criteria andCdCategoryIdNotBetween(Integer value1, Integer value2) {
            // 添加CD_CATEGORY_ID not between条件
            addCriterion("CD_CATEGORY_ID not between", value1, value2, "cdCategoryId");
            return (Criteria) this;
        }

        public Criteria andRandomNumIsNull() {
            // 添加RANDOM_NUM is null条件
            addCriterion("RANDOM_NUM is null");
            return (Criteria) this;
        }

        public Criteria andRandomNumIsNotNull() {
            // 添加RANDOM_NUM is not null条件
            addCriterion("RANDOM_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andRandomNumEqualTo(Integer value) {
            // 添加RANDOM_NUM = value条件
            addCriterion("RANDOM_NUM =", value, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumNotEqualTo(Integer value) {
            // 添加RANDOM_NUM <> value条件
            addCriterion("RANDOM_NUM <>", value, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumGreaterThan(Integer value) {
            // 添加RANDOM_NUM > value条件
            addCriterion("RANDOM_NUM >", value, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumGreaterThanOrEqualTo(Integer value) {
            // 添加RANDOM_NUM >= value条件
            addCriterion("RANDOM_NUM >=", value, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumLessThan(Integer value) {
            // 添加RANDOM_NUM < value条件
            addCriterion("RANDOM_NUM <", value, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumLessThanOrEqualTo(Integer value) {
            // 添加RANDOM_NUM <= value条件
            addCriterion("RANDOM_NUM <=", value, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumIn(List<Integer> values) {
            // 添加RANDOM_NUM in条件
            addCriterion("RANDOM_NUM in", values, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumNotIn(List<Integer> values) {
            // 添加RANDOM_NUM not in条件
            addCriterion("RANDOM_NUM not in", values, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumBetween(Integer value1, Integer value2) {
            // 添加RANDOM_NUM between条件
            addCriterion("RANDOM_NUM between", value1, value2, "randomNum");
            return (Criteria) this;
        }

        public Criteria andRandomNumNotBetween(Integer value1, Integer value2) {
            // 添加RANDOM_NUM not between条件
            addCriterion("RANDOM_NUM not between", value1, value2, "randomNum");
            return (Criteria) this;
        }

        public Criteria andBeginTimeIsNull() {
            // 添加BEGIN_TIME is null条件
            addCriterion("BEGIN_TIME is null");
            return (Criteria) this;
        }

        public Criteria andBeginTimeIsNotNull() {
            // 添加BEGIN_TIME is not null条件
            addCriterion("BEGIN_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andBeginTimeEqualTo(Date value) {
            // 添加BEGIN_TIME = value条件
            addCriterion("BEGIN_TIME =", value, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeNotEqualTo(Date value) {
            // 添加BEGIN_TIME <> value条件
            addCriterion("BEGIN_TIME <>", value, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeGreaterThan(Date value) {
            // 添加BEGIN_TIME > value条件
            addCriterion("BEGIN_TIME >", value, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeGreaterThanOrEqualTo(Date value) {
            // 添加BEGIN_TIME >= value条件
            addCriterion("BEGIN_TIME >=", value, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeLessThan(Date value) {
            // 添加BEGIN_TIME < value条件
            addCriterion("BEGIN_TIME <", value, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeLessThanOrEqualTo(Date value) {
            // 添加BEGIN_TIME <= value条件
            addCriterion("BEGIN_TIME <=", value, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeIn(List<Date> values) {
            // 添加BEGIN_TIME in条件
            addCriterion("BEGIN_TIME in", values, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeNotIn(List<Date> values) {
            // 添加BEGIN_TIME not in条件
            addCriterion("BEGIN_TIME not in", values, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeBetween(Date value1, Date value2) {
            // 添加BEGIN_TIME between条件
            addCriterion("BEGIN_TIME between", value1, value2, "beginTime");
            return (Criteria) this;
        }

        public Criteria andBeginTimeNotBetween(Date value1, Date value2) {
            // 添加BEGIN_TIME not between条件
            addCriterion("BEGIN_TIME not between", value1, value2, "beginTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}